import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
export declare class PaymentMethods implements ComponentInterface {
  cardInputEl: any;
  nameInputEl: any;
  addressInputEl: any;
  routingInputEl: any;
  accountInputEl: any;
  checkmarkEl: any;
  sliderEl: HTMLIonSlidesElement;
  sliderOptions: any;
  ftRemovePaymentMethod: EventEmitter;
  stripeKey: string;
  cardName: string;
  address: any;
  userId: string;
  payType: "card" | "checking";
  methods: any[];
  googleMapsKey: string;
  errors: string[];
  currentSlideIndex: number;
  onSlideChange(): Promise<void>;
  onReset(event: any): Promise<void>;
  onSubmit(event: any): Promise<boolean>;
  onError(event: any): void;
  onSuccess(event: any): Promise<void>;
  onBeforeSubmit(data: any, isChecking?: boolean): Promise<{
    userId: string;
    type: any;
    accountNumber: any;
    routingNumber: any;
    token: any;
    address: any;
  }>;
  next(): Promise<void>;
  back(): Promise<void>;
  removePaymentMethod(id: string): Promise<void>;
  render(): any;
}
